Iterate through list of views
Status: Closed Start date: 04/06/2014
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.5

Description

The script would work like this:

e Script looks up existing view in list (from local storage)
¢ Find next view in list
¢ Uses setTimeout() to open new view in given time frame

Associated revisions

Revision 4 - 06/08/2014 05:13 AM - luke.murphey

Added code to iterate through views automatically (closes #716)

History

#1 - 04/06/2014 04:59 AM - Luke Murphey

- Assignee changed from Anonymous to Luke Murphey

#2 - 06/07/2014 07:15 AM - Luke Murphey

The algorithm will look something like this:

1. Load settings

2. Find current view in list
3. Select new view

4. Set timeout for jump

5. Jump to next view

#3 - 06/07/2014 07:26 AM - Luke Murphey
#4 - 06/07/2014 07:26 AM - Luke Murphey
#5 - 06/07/2014 07:30 AM - Luke Murphey

Will use: https://github.com/marcuswestin/store.js/

#6 - 06/08/2014 04:27 AM - Luke Murphey
Need to make sure that following works:
e Showing views when only one exists

e lterating around back to the first view
e Works on both simple XML and advanced XML
#7 - 06/08/2014 04:57 AM - Luke Murphey
- % Done changed from 0 to 50

#8 - 06/08/2014 04:57 AM - Luke Murphey

- Status changed from New to In Progress

#9 - 06/08/2014 04:58 AM - Luke Murphey

Advanced XML pages don't work yet (simple XML does). I'm getting an error trying to load store.js.
#10 - 06/08/2014 05:13 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
